# Method: accounts.icons.list

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list#body.ListIconsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list#body.aspect)

Returns the `Icon`s for a partner account.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/icons`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the queried partner account. The format is `accounts/{account_id}`. |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/list#google.travel.travelpartner.v3.IconService.ListIcons`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "icons": [ { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons#Icon`) } ] } ``` |

| Fields ||
|---|---|
| `icons[]` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons#Icon`)`` A list of all icons associated with the queried partner account. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).